跳到主要内容

添加项目地域 (V2)

This operation adds a new region to a specified project.

POST/v2/projects/{projectId}/regions
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
projectIdstringpathrequired

待添加可用地域的项目的 ID。

示例值:proj-xx
请求体application/json
regionIdsarrayrequired

A region ID list.

[]regionIdsstring

A region ID. You can use the List regions to list applicable region IDs.

export TOKEN="YOUR_API_KEY"
export projectId="proj-xx"

curl --request POST \
--url "${BASE_URL}/v2/projects/${projectId}/regions" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"regionIds": [
"ali-cn-hangzhou"
]
}'
响应200 - application/json

A success response

codeinteger

响应码。

示例值:0
dataobject

响应载荷,包含当前项目 ID 及此次添加到当前项目的地域 ID。

projectIdstring

当前项目 ID。

regionIdsarray

此次添加到当前项目的地域 ID。

A failure response.

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": {
"projectId": "proj-x"
}
}